Skip to main content
PATCH
Update Assistant Integration

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

integration_id
string
required

The ID of the assistant integration

Body

The assistant integration information to update.

Schema for updating an existing assistant integration

enabled
boolean
connection_id
string
config
object

Configuration object for the assistant integration

Response

200 - application/json

The updated assistant integration.

Schema for an assistant integration

id
string
required
enabled
boolean
required
integration_id
enum<string>
required

ID of the connection integration

Available options:
internal,
org,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
gmail,
slack_bot,
twilio,
telnyx,
email
assistant_id
string
required
connection_id
string | null
required
config
object
required

Configuration object for the assistant integration

error
string | null
required
platform_url
string | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required